Loading...
Searching...
No Matches
LrMetalinkUrl Struct Reference
Metalink parser

`#include <metalink.h>`

## Data Fields

char * | protocol
char * | type
char * | location
int | preference
char * | url

## Detailed Description

Single metalink URL

Definition at line 41 of file metalink.h.

## Field Documentation

## location

char* location

ISO 3166-1 alpha-2 code ("US", "CZ", ..)

Definition at line 44 of file metalink.h.

## preference

int preference

Integer number 1-100, higher is better

Definition at line 45 of file metalink.h.

## protocol

char* protocol

Mirror protocol "http", "ftp", "rsync", ...

Definition at line 42 of file metalink.h.

## type

char* type

Mirror type "http", "ftp", "rsync", ...

Definition at line 43 of file metalink.h.

## url

char* url

URL to the target file

Definition at line 46 of file metalink.h.

The documentation for this struct was generated from the following file:

- metalink.h